// =====================================================================
//  $Id: TObjectSocket.cc,v 1.4 2004/03/07 10:30:32 goiwai Exp $
//  $Name: CLDAQ-1-14-06 $
//  $Log: TObjectSocket.cc,v $
//  Revision 1.4  2004/03/07 10:30:32  goiwai
//  ROOTに組みこむためのおまじないマクロを埋めこみました。
//  全てにおいて完全に動作するわけではありません。
//
//  Revision 1.3  2003/10/06 17:02:42  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:19:31  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#include "TObjectSocket.hh"

TObjectSocket::TObjectSocket( Tint portnumber )
  : theServerDescriptor( -1 ), thePortNumber( portnumber )
{;}

TObjectSocket::~TObjectSocket()
{;}

Tint TObjectSocket::OpenServer()
{
  theServerDescriptor = socket( PF_INET, SOCK_STREAM, 0 );
  if ( theServerDescriptor == -1 )
    perror( "TObjectSocket::OpenServer" );
  return theServerDescriptor;
}

Tint TObjectSocket::CloseServer()
{
  if ( shutdown( theServerDescriptor, 2 ) == -1 ) {
    perror( "TObjectSocket::CloseServer" );
    return -1;
  }

  if ( close( theServerDescriptor ) == -1 ) {
    perror( "TObjectSocket::CloseServer" );
    return -1;
  }
  theServerDescriptor = -1;
  return 0;
}

#ifdef __CLDAQ_ROOT_DLL
    ClassImp(TObjectSocket)
#endif
